#define PLL 4
#define USE_RESONATOR


#if (PLL == 4)
#ifdef USE_RESONATOR // USING EXTERNAL RESONATOR
//#pragma config FOSC=HSMP,PLLCFG=ON,PRICLKEN=ON,FCMEN=ON,IESO=OFF,PWRTEN=OFF,BOREN=OFF,WDTEN=ON,WDTPS=8,PBADEN=OFF,HFOFST=ON,MCLRE=EXTMCLR,STVREN=ON,LVP=OFF,XINST=OFF,DEBUG=ON
#pragma config FOSC=HSMP,PLLCFG=ON,PRICLKEN=ON,FCMEN=ON,IESO=OFF,PWRTEN=OFF,BOREN=SBORDIS,BORV=285,WDTEN=ON,WDTPS=16,PBADEN=OFF,HFOFST=ON,MCLRE=EXTMCLR,STVREN=ON,LVP=OFF,XINST=OFF,DEBUG=ON
#else // USING INTERNAL 16MHz OSC.
#pragma config FOSC=INTIO7,PLLCFG=ON,PRICLKEN=ON,FCMEN=ON,IESO=OFF,PWRTEN=OFF,BOREN=OFF,WDTEN=ON,WDTPS=8,PBADEN=OFF,HFOFST=ON,MCLRE=EXTMCLR,STVREN=ON,LVP=OFF,XINST=OFF,DEBUG=ON
#endif // USE_RESONATOR

#else // (PLL == 4)
#pragma config FOSC=HSMP,PLLCFG=OFF,PRICLKEN=ON,FCMEN=ON,IESO=OFF,PWRTEN=OFF,BOREN=OFF,WDTEN=ON,WDTPS=2,PBADEN=OFF,HFOFST=ON,MCLRE=EXTMCLR,STVREN=ON,LVP=OFF,XINST=OFF,DEBUG=OFF
#endif




void TestPins(void);

#pragma udata

/*******************************************************************************
 *
 *   Overview
 *
 * Simply setup all ports as outputs, then cycle a pulse on each pin
 * This confirms the QFN package has bonded OK to the important pins of the PCB
 ******************************************************************************/

void main(void) 
{

  TestPins();     

}


